#! /bin/sh
# Andes toolchain setting
export ANDESIGHT_ROOT=$HOME/Andestech/AndeSight133/toolchains/nds32le-linux/
export PATH=$ANDESIGHT_ROOT/bin:$PATH
 
# PREFIX folder
export PREFIX=$HOME/nds32
 
export prefix=$HOME/nds32

export CROSS_COMPILE="nds32le-linux-"
which ${CROSS_COMPILE}gcc &> /dev/null || export CROSS_COMPILE="nds32-elf-"


export HOST=${CROSS_COMPILE%-}
export BUILD="nds32-linux"
export TARGET=${CROSS_COMPILE%-}
 
# Cross Toolchain
export BUILD_CC=gcc
export CC="${TARGET}-gcc -I$PREFIX/include"
export CXX="${TARGET}-g++ -I$PREFIX/include"
export AR="${TARGET}-ar rc "
export AS="${TARGET}-as "
export RANLIB="${TARGET}-ranlib"
export LD="${TARGET}-ld"
export STRIP="${TARGET}-strip"

 
# Cross Compilation FLAGS (-EL is for little endian)
export NDS32_GCC_CFLAGS=-EL
#export CFLAGS="-EL -I$PREFIX/include"
#export CFLAGS="-EL -I$PREFIX/include -O2"
export CFLAGS="-EL -I$PREFIX/include -fomit-frame-pointer -funroll-loops -O3"
# With Static Linking
#export LDFLAGS="-EL -static -L$PREFIX/lib"
#With Shared Linking
export LDFLAGS="-EL -L$PREFIX/lib"
export ASFLAGS=-EL
export CXXFLAGS=-EL
#configure [--shared] [--prefix=PREFIX] 
./configure --shared --prefix=$PREFIX 
#./configure --shared --prefix=$PREFIX  --host=$HOST --build=$BUILD 
make
make install
#make install DESTDIR=${DEPLOY_DIR}
#make install DESTDIR=${PREFIX}

